ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-5021) 2.1.1 is hard coded in our python scripts which causes WEBHCAT install to fail.
Date Tue, 11 Mar 2014 15:00:51 GMT
Andrew Onischuk created AMBARI-5021:
---------------------------------------

             Summary: 2.1.1 is hard coded in our python scripts which causes WEBHCAT install
to fail.
                 Key: AMBARI-5021
                 URL: https://issues.apache.org/jira/browse/AMBARI-5021
             Project: Ambari
          Issue Type: Bug
            Reporter: Andrew Onischuk
            Assignee: Andrew Onischuk
         Attachments: AMBARI-5021.patch

{code}
######### HCAT
if config['hostLevelParams']['stack_version'] == '2.1.1':
  hcat_conf_dir = '/etc/hive-hcatalog/conf'
  hcat_lib = '/usr/lib/hive-hcatalog/share/hcatalog'
else:
  hcat_conf_dir = '/etc/hcatalog/conf'
  hcat_lib = '/usr/lib/hcatalog/share/hcatalog'


{code}

Since the new stacks are 2.0 and 2.1 this will cause all sorts of failures.  We need to fix
and make sure we do something like: 

If stack first 2 digits match 2.0 then we use:

hcat_conf_dir = '/etc/hcatalog/conf'
  hcat_lib = '/usr/lib/hcatalog/share/hcatalog'

else we use the other defaults. 

Similar fix is needed in:
2.0.6/services/HIVE/package/scripts/params.py





--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message